Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706674 - x11-misc/sxhkd-0.6.1 : fails to build with -fno-common or gcc-10
Summary: x11-misc/sxhkd-0.6.1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Johannes Huber
URL:
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:29 UTC by Toralf Förster
Modified: 2021-01-03 01:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.98 KB, text/plain)
2020-01-27 17:29 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,20.90 KB, text/plain)
2020-01-27 17:29 UTC, Toralf Förster
Details
environment (environment,55.56 KB, text/plain)
2020-01-27 17:29 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.61 KB, application/x-bzip)
2020-01-27 17:29 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,15.76 KB, application/x-bzip)
2020-01-27 17:29 UTC, Toralf Förster
Details
x11-misc:sxhkd-0.6.1:20200127-051411.log (x11-misc:sxhkd-0.6.1:20200127-051411.log,29.67 KB, text/plain)
2020-01-27 17:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:29:41 UTC
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -std=c99 -pedantic -Wall -Wextra -D_POSIX_C_SOURCE=200112L -DVERSION=\"0.6.1\"  -c -o types.o src/types.c
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed  sxhkd.o grab.o helpers.o parse.o types.o  -Wl,-O1 -Wl,--as-needed -lxcb -lxcb-keysyms -o sxhkd
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: grab.o:(.bss+0x478): multiple definition of `dpy'; sxhkd.o:(.bss+0x478): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: grab.o:(.bss+0x470): multiple definition of `root'; sxhkd.o:(.bss+0x470): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-libressl-20200126-092715

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)





repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 04:46:13 +0000

emerge -qpvO x11-misc/sxhkd
[ebuild  N    ] x11-misc/sxhkd-0.6.1
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:29:43 UTC
Created attachment 605272 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:29:46 UTC
Created attachment 605274 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:29:49 UTC
Created attachment 605276 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:29:52 UTC
Created attachment 605278 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:29:55 UTC
Created attachment 605280 [details]
temp.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:29:57 UTC
Created attachment 605282 [details]
x11-misc:sxhkd-0.6.1:20200127-051411.log
Comment 7 David Duchesne 2020-07-31 09:37:57 UTC
This is fixed upstream :
https://github.com/baskerville/sxhkd/commit/6a9470fdf0a2041298ba9a1fa6beedd67008ed55

I don't use GCC 10 so I can't confirm though.
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2020-08-20 07:24:32 UTC
Should be fixed in [0] which is included in the 0.6.2 release.



[0] https://github.com/baskerville/sxhkd/commit/6a9470fdf0a2041298ba9a1fa6beedd67008ed55
Comment 9 Yves Hoppe 2020-08-20 07:27:57 UTC
Should be fixed by https://github.com/gentoo/gentoo/pull/17138
Comment 10 Larry the Git Cow gentoo-dev 2020-10-27 05:47:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce8d7ffee502496f3a49a1b3938b8627d64f5a16

commit ce8d7ffee502496f3a49a1b3938b8627d64f5a16
Author:     Tim Harder <radhermit@gentoo.org>
AuthorDate: 2020-10-27 05:39:02 +0000
Commit:     Tim Harder <radhermit@gentoo.org>
CommitDate: 2020-10-27 05:44:37 +0000

    x11-misc/sxhkd: version bump to 0.6.2
    
    Closes: https://bugs.gentoo.org/706674
    Closes: https://bugs.gentoo.org/738142
    Signed-off-by: Tim Harder <radhermit@gentoo.org>

 x11-misc/sxhkd/Manifest           |  1 +
 x11-misc/sxhkd/sxhkd-0.6.2.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)